Subject: bug#24727: 25.1; Editing custom theme removes undefined variables and faces

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Sep 2020 15:38:47 +0200

Mauro Aranda <[email-masked]> writes:

> There is a check in custom-theme-write-variables for a bound symbol, and
> a check in custom-theme-write-faces for a known face, and I wonder why,
> because that should not be a concern for these functions.

Yes, that seems odd.  I had a short look around at the commit history
here, but I was unable to find an explanation (but I didn't do an
extensive examination).

> But at least removing the checks makes it less rude, and undefined
> variables or faces stay in the file.
>
> Here's my proposed patch.

It makes sense to me (and the old behaviour didn't), so I've applied it
to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no